Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
96.0.0.0
Broadcast address
127.255.255.255
First usable
96.0.0.1
Last usable
127.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
A (default /8)
As numbers
Hex 60000000 · Integer 1610612736 to 2147483647
Reverse DNS zones
96.in-addr.arpa
97.in-addr.arpa
98.in-addr.arpa
99.in-addr.arpa
100.in-addr.arpa
101.in-addr.arpa
102.in-addr.arpa
103.in-addr.arpa
104.in-addr.arpa
105.in-addr.arpa
106.in-addr.arpa
107.in-addr.arpa
108.in-addr.arpa
109.in-addr.arpa
110.in-addr.arpa
111.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000.00000000.00000000.0000000096.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network01100000.00000000.00000000.0000000096.0.0.0
Broadcast01111111.11111111.11111111.11111111127.255.255.255
Split into smaller subnets/11

96.0.0.0/3 makes 256 subnets of /11.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.0.0.0/1196.0.0.1 to 96.31.255.25496.31.255.2552,097,150
296.32.0.0/1196.32.0.1 to 96.63.255.25496.63.255.2552,097,150
396.64.0.0/1196.64.0.1 to 96.95.255.25496.95.255.2552,097,150
496.96.0.0/1196.96.0.1 to 96.127.255.25496.127.255.2552,097,150
596.128.0.0/1196.128.0.1 to 96.159.255.25496.159.255.2552,097,150
696.160.0.0/1196.160.0.1 to 96.191.255.25496.191.255.2552,097,150
796.192.0.0/1196.192.0.1 to 96.223.255.25496.223.255.2552,097,150
896.224.0.0/1196.224.0.1 to 96.255.255.25496.255.255.2552,097,150
997.0.0.0/1197.0.0.1 to 97.31.255.25497.31.255.2552,097,150
1097.32.0.0/1197.32.0.1 to 97.63.255.25497.63.255.2552,097,150
1197.64.0.0/1197.64.0.1 to 97.95.255.25497.95.255.2552,097,150
1297.96.0.0/1197.96.0.1 to 97.127.255.25497.127.255.2552,097,150
1397.128.0.0/1197.128.0.1 to 97.159.255.25497.159.255.2552,097,150
1497.160.0.0/1197.160.0.1 to 97.191.255.25497.191.255.2552,097,150
1597.192.0.0/1197.192.0.1 to 97.223.255.25497.223.255.2552,097,150
1697.224.0.0/1197.224.0.1 to 97.255.255.25497.255.255.2552,097,150
1798.0.0.0/1198.0.0.1 to 98.31.255.25498.31.255.2552,097,150
1898.32.0.0/1198.32.0.1 to 98.63.255.25498.63.255.2552,097,150
1998.64.0.0/1198.64.0.1 to 98.95.255.25498.95.255.2552,097,150
2098.96.0.0/1198.96.0.1 to 98.127.255.25498.127.255.2552,097,150
2198.128.0.0/1198.128.0.1 to 98.159.255.25498.159.255.2552,097,150
2298.160.0.0/1198.160.0.1 to 98.191.255.25498.191.255.2552,097,150
2398.192.0.0/1198.192.0.1 to 98.223.255.25498.223.255.2552,097,150
2498.224.0.0/1198.224.0.1 to 98.255.255.25498.255.255.2552,097,150
2599.0.0.0/1199.0.0.1 to 99.31.255.25499.31.255.2552,097,150
2699.32.0.0/1199.32.0.1 to 99.63.255.25499.63.255.2552,097,150
2799.64.0.0/1199.64.0.1 to 99.95.255.25499.95.255.2552,097,150
2899.96.0.0/1199.96.0.1 to 99.127.255.25499.127.255.2552,097,150
2999.128.0.0/1199.128.0.1 to 99.159.255.25499.159.255.2552,097,150
3099.160.0.0/1199.160.0.1 to 99.191.255.25499.191.255.2552,097,150
3199.192.0.0/1199.192.0.1 to 99.223.255.25499.223.255.2552,097,150
3299.224.0.0/1199.224.0.1 to 99.255.255.25499.255.255.2552,097,150
33100.0.0.0/11100.0.0.1 to 100.31.255.254100.31.255.2552,097,150
34100.32.0.0/11100.32.0.1 to 100.63.255.254100.63.255.2552,097,150
35100.64.0.0/11100.64.0.1 to 100.95.255.254100.95.255.2552,097,150
36100.96.0.0/11100.96.0.1 to 100.127.255.254100.127.255.2552,097,150
37100.128.0.0/11100.128.0.1 to 100.159.255.254100.159.255.2552,097,150
38100.160.0.0/11100.160.0.1 to 100.191.255.254100.191.255.2552,097,150
39100.192.0.0/11100.192.0.1 to 100.223.255.254100.223.255.2552,097,150
40100.224.0.0/11100.224.0.1 to 100.255.255.254100.255.255.2552,097,150
41101.0.0.0/11101.0.0.1 to 101.31.255.254101.31.255.2552,097,150
42101.32.0.0/11101.32.0.1 to 101.63.255.254101.63.255.2552,097,150
43101.64.0.0/11101.64.0.1 to 101.95.255.254101.95.255.2552,097,150
44101.96.0.0/11101.96.0.1 to 101.127.255.254101.127.255.2552,097,150
45101.128.0.0/11101.128.0.1 to 101.159.255.254101.159.255.2552,097,150
46101.160.0.0/11101.160.0.1 to 101.191.255.254101.191.255.2552,097,150
47101.192.0.0/11101.192.0.1 to 101.223.255.254101.223.255.2552,097,150
48101.224.0.0/11101.224.0.1 to 101.255.255.254101.255.255.2552,097,150
49102.0.0.0/11102.0.0.1 to 102.31.255.254102.31.255.2552,097,150
50102.32.0.0/11102.32.0.1 to 102.63.255.254102.63.255.2552,097,150
51102.64.0.0/11102.64.0.1 to 102.95.255.254102.95.255.2552,097,150
52102.96.0.0/11102.96.0.1 to 102.127.255.254102.127.255.2552,097,150
53102.128.0.0/11102.128.0.1 to 102.159.255.254102.159.255.2552,097,150
54102.160.0.0/11102.160.0.1 to 102.191.255.254102.191.255.2552,097,150
55102.192.0.0/11102.192.0.1 to 102.223.255.254102.223.255.2552,097,150
56102.224.0.0/11102.224.0.1 to 102.255.255.254102.255.255.2552,097,150
57103.0.0.0/11103.0.0.1 to 103.31.255.254103.31.255.2552,097,150
58103.32.0.0/11103.32.0.1 to 103.63.255.254103.63.255.2552,097,150
59103.64.0.0/11103.64.0.1 to 103.95.255.254103.95.255.2552,097,150
60103.96.0.0/11103.96.0.1 to 103.127.255.254103.127.255.2552,097,150
61103.128.0.0/11103.128.0.1 to 103.159.255.254103.159.255.2552,097,150
62103.160.0.0/11103.160.0.1 to 103.191.255.254103.191.255.2552,097,150
63103.192.0.0/11103.192.0.1 to 103.223.255.254103.223.255.2552,097,150
64103.224.0.0/11103.224.0.1 to 103.255.255.254103.255.255.2552,097,150
65104.0.0.0/11104.0.0.1 to 104.31.255.254104.31.255.2552,097,150
66104.32.0.0/11104.32.0.1 to 104.63.255.254104.63.255.2552,097,150
67104.64.0.0/11104.64.0.1 to 104.95.255.254104.95.255.2552,097,150
68104.96.0.0/11104.96.0.1 to 104.127.255.254104.127.255.2552,097,150
69104.128.0.0/11104.128.0.1 to 104.159.255.254104.159.255.2552,097,150
70104.160.0.0/11104.160.0.1 to 104.191.255.254104.191.255.2552,097,150
71104.192.0.0/11104.192.0.1 to 104.223.255.254104.223.255.2552,097,150
72104.224.0.0/11104.224.0.1 to 104.255.255.254104.255.255.2552,097,150
73105.0.0.0/11105.0.0.1 to 105.31.255.254105.31.255.2552,097,150
74105.32.0.0/11105.32.0.1 to 105.63.255.254105.63.255.2552,097,150
75105.64.0.0/11105.64.0.1 to 105.95.255.254105.95.255.2552,097,150
76105.96.0.0/11105.96.0.1 to 105.127.255.254105.127.255.2552,097,150
77105.128.0.0/11105.128.0.1 to 105.159.255.254105.159.255.2552,097,150
78105.160.0.0/11105.160.0.1 to 105.191.255.254105.191.255.2552,097,150
79105.192.0.0/11105.192.0.1 to 105.223.255.254105.223.255.2552,097,150
80105.224.0.0/11105.224.0.1 to 105.255.255.254105.255.255.2552,097,150
81106.0.0.0/11106.0.0.1 to 106.31.255.254106.31.255.2552,097,150
82106.32.0.0/11106.32.0.1 to 106.63.255.254106.63.255.2552,097,150
83106.64.0.0/11106.64.0.1 to 106.95.255.254106.95.255.2552,097,150
84106.96.0.0/11106.96.0.1 to 106.127.255.254106.127.255.2552,097,150
85106.128.0.0/11106.128.0.1 to 106.159.255.254106.159.255.2552,097,150
86106.160.0.0/11106.160.0.1 to 106.191.255.254106.191.255.2552,097,150
87106.192.0.0/11106.192.0.1 to 106.223.255.254106.223.255.2552,097,150
88106.224.0.0/11106.224.0.1 to 106.255.255.254106.255.255.2552,097,150
89107.0.0.0/11107.0.0.1 to 107.31.255.254107.31.255.2552,097,150
90107.32.0.0/11107.32.0.1 to 107.63.255.254107.63.255.2552,097,150
91107.64.0.0/11107.64.0.1 to 107.95.255.254107.95.255.2552,097,150
92107.96.0.0/11107.96.0.1 to 107.127.255.254107.127.255.2552,097,150
93107.128.0.0/11107.128.0.1 to 107.159.255.254107.159.255.2552,097,150
94107.160.0.0/11107.160.0.1 to 107.191.255.254107.191.255.2552,097,150
95107.192.0.0/11107.192.0.1 to 107.223.255.254107.223.255.2552,097,150
96107.224.0.0/11107.224.0.1 to 107.255.255.254107.255.255.2552,097,150
97108.0.0.0/11108.0.0.1 to 108.31.255.254108.31.255.2552,097,150
98108.32.0.0/11108.32.0.1 to 108.63.255.254108.63.255.2552,097,150
99108.64.0.0/11108.64.0.1 to 108.95.255.254108.95.255.2552,097,150
100108.96.0.0/11108.96.0.1 to 108.127.255.254108.127.255.2552,097,150
101108.128.0.0/11108.128.0.1 to 108.159.255.254108.159.255.2552,097,150
102108.160.0.0/11108.160.0.1 to 108.191.255.254108.191.255.2552,097,150
103108.192.0.0/11108.192.0.1 to 108.223.255.254108.223.255.2552,097,150
104108.224.0.0/11108.224.0.1 to 108.255.255.254108.255.255.2552,097,150
105109.0.0.0/11109.0.0.1 to 109.31.255.254109.31.255.2552,097,150
106109.32.0.0/11109.32.0.1 to 109.63.255.254109.63.255.2552,097,150
107109.64.0.0/11109.64.0.1 to 109.95.255.254109.95.255.2552,097,150
108109.96.0.0/11109.96.0.1 to 109.127.255.254109.127.255.2552,097,150
109109.128.0.0/11109.128.0.1 to 109.159.255.254109.159.255.2552,097,150
110109.160.0.0/11109.160.0.1 to 109.191.255.254109.191.255.2552,097,150
111109.192.0.0/11109.192.0.1 to 109.223.255.254109.223.255.2552,097,150
112109.224.0.0/11109.224.0.1 to 109.255.255.254109.255.255.2552,097,150
113110.0.0.0/11110.0.0.1 to 110.31.255.254110.31.255.2552,097,150
114110.32.0.0/11110.32.0.1 to 110.63.255.254110.63.255.2552,097,150
115110.64.0.0/11110.64.0.1 to 110.95.255.254110.95.255.2552,097,150
116110.96.0.0/11110.96.0.1 to 110.127.255.254110.127.255.2552,097,150
117110.128.0.0/11110.128.0.1 to 110.159.255.254110.159.255.2552,097,150
118110.160.0.0/11110.160.0.1 to 110.191.255.254110.191.255.2552,097,150
119110.192.0.0/11110.192.0.1 to 110.223.255.254110.223.255.2552,097,150
120110.224.0.0/11110.224.0.1 to 110.255.255.254110.255.255.2552,097,150
121111.0.0.0/11111.0.0.1 to 111.31.255.254111.31.255.2552,097,150
122111.32.0.0/11111.32.0.1 to 111.63.255.254111.63.255.2552,097,150
123111.64.0.0/11111.64.0.1 to 111.95.255.254111.95.255.2552,097,150
124111.96.0.0/11111.96.0.1 to 111.127.255.254111.127.255.2552,097,150
125111.128.0.0/11111.128.0.1 to 111.159.255.254111.159.255.2552,097,150
126111.160.0.0/11111.160.0.1 to 111.191.255.254111.191.255.2552,097,150
127111.192.0.0/11111.192.0.1 to 111.223.255.254111.223.255.2552,097,150
128111.224.0.0/11111.224.0.1 to 111.255.255.254111.255.255.2552,097,150
129112.0.0.0/11112.0.0.1 to 112.31.255.254112.31.255.2552,097,150
130112.32.0.0/11112.32.0.1 to 112.63.255.254112.63.255.2552,097,150
131112.64.0.0/11112.64.0.1 to 112.95.255.254112.95.255.2552,097,150
132112.96.0.0/11112.96.0.1 to 112.127.255.254112.127.255.2552,097,150
133112.128.0.0/11112.128.0.1 to 112.159.255.254112.159.255.2552,097,150
134112.160.0.0/11112.160.0.1 to 112.191.255.254112.191.255.2552,097,150
135112.192.0.0/11112.192.0.1 to 112.223.255.254112.223.255.2552,097,150
136112.224.0.0/11112.224.0.1 to 112.255.255.254112.255.255.2552,097,150
137113.0.0.0/11113.0.0.1 to 113.31.255.254113.31.255.2552,097,150
138113.32.0.0/11113.32.0.1 to 113.63.255.254113.63.255.2552,097,150
139113.64.0.0/11113.64.0.1 to 113.95.255.254113.95.255.2552,097,150
140113.96.0.0/11113.96.0.1 to 113.127.255.254113.127.255.2552,097,150
141113.128.0.0/11113.128.0.1 to 113.159.255.254113.159.255.2552,097,150
142113.160.0.0/11113.160.0.1 to 113.191.255.254113.191.255.2552,097,150
143113.192.0.0/11113.192.0.1 to 113.223.255.254113.223.255.2552,097,150
144113.224.0.0/11113.224.0.1 to 113.255.255.254113.255.255.2552,097,150
145114.0.0.0/11114.0.0.1 to 114.31.255.254114.31.255.2552,097,150
146114.32.0.0/11114.32.0.1 to 114.63.255.254114.63.255.2552,097,150
147114.64.0.0/11114.64.0.1 to 114.95.255.254114.95.255.2552,097,150
148114.96.0.0/11114.96.0.1 to 114.127.255.254114.127.255.2552,097,150
149114.128.0.0/11114.128.0.1 to 114.159.255.254114.159.255.2552,097,150
150114.160.0.0/11114.160.0.1 to 114.191.255.254114.191.255.2552,097,150
151114.192.0.0/11114.192.0.1 to 114.223.255.254114.223.255.2552,097,150
152114.224.0.0/11114.224.0.1 to 114.255.255.254114.255.255.2552,097,150
153115.0.0.0/11115.0.0.1 to 115.31.255.254115.31.255.2552,097,150
154115.32.0.0/11115.32.0.1 to 115.63.255.254115.63.255.2552,097,150
155115.64.0.0/11115.64.0.1 to 115.95.255.254115.95.255.2552,097,150
156115.96.0.0/11115.96.0.1 to 115.127.255.254115.127.255.2552,097,150
157115.128.0.0/11115.128.0.1 to 115.159.255.254115.159.255.2552,097,150
158115.160.0.0/11115.160.0.1 to 115.191.255.254115.191.255.2552,097,150
159115.192.0.0/11115.192.0.1 to 115.223.255.254115.223.255.2552,097,150
160115.224.0.0/11115.224.0.1 to 115.255.255.254115.255.255.2552,097,150
161116.0.0.0/11116.0.0.1 to 116.31.255.254116.31.255.2552,097,150
162116.32.0.0/11116.32.0.1 to 116.63.255.254116.63.255.2552,097,150
163116.64.0.0/11116.64.0.1 to 116.95.255.254116.95.255.2552,097,150
164116.96.0.0/11116.96.0.1 to 116.127.255.254116.127.255.2552,097,150
165116.128.0.0/11116.128.0.1 to 116.159.255.254116.159.255.2552,097,150
166116.160.0.0/11116.160.0.1 to 116.191.255.254116.191.255.2552,097,150
167116.192.0.0/11116.192.0.1 to 116.223.255.254116.223.255.2552,097,150
168116.224.0.0/11116.224.0.1 to 116.255.255.254116.255.255.2552,097,150
169117.0.0.0/11117.0.0.1 to 117.31.255.254117.31.255.2552,097,150
170117.32.0.0/11117.32.0.1 to 117.63.255.254117.63.255.2552,097,150
171117.64.0.0/11117.64.0.1 to 117.95.255.254117.95.255.2552,097,150
172117.96.0.0/11117.96.0.1 to 117.127.255.254117.127.255.2552,097,150
173117.128.0.0/11117.128.0.1 to 117.159.255.254117.159.255.2552,097,150
174117.160.0.0/11117.160.0.1 to 117.191.255.254117.191.255.2552,097,150
175117.192.0.0/11117.192.0.1 to 117.223.255.254117.223.255.2552,097,150
176117.224.0.0/11117.224.0.1 to 117.255.255.254117.255.255.2552,097,150
177118.0.0.0/11118.0.0.1 to 118.31.255.254118.31.255.2552,097,150
178118.32.0.0/11118.32.0.1 to 118.63.255.254118.63.255.2552,097,150
179118.64.0.0/11118.64.0.1 to 118.95.255.254118.95.255.2552,097,150
180118.96.0.0/11118.96.0.1 to 118.127.255.254118.127.255.2552,097,150
181118.128.0.0/11118.128.0.1 to 118.159.255.254118.159.255.2552,097,150
182118.160.0.0/11118.160.0.1 to 118.191.255.254118.191.255.2552,097,150
183118.192.0.0/11118.192.0.1 to 118.223.255.254118.223.255.2552,097,150
184118.224.0.0/11118.224.0.1 to 118.255.255.254118.255.255.2552,097,150
185119.0.0.0/11119.0.0.1 to 119.31.255.254119.31.255.2552,097,150
186119.32.0.0/11119.32.0.1 to 119.63.255.254119.63.255.2552,097,150
187119.64.0.0/11119.64.0.1 to 119.95.255.254119.95.255.2552,097,150
188119.96.0.0/11119.96.0.1 to 119.127.255.254119.127.255.2552,097,150
189119.128.0.0/11119.128.0.1 to 119.159.255.254119.159.255.2552,097,150
190119.160.0.0/11119.160.0.1 to 119.191.255.254119.191.255.2552,097,150
191119.192.0.0/11119.192.0.1 to 119.223.255.254119.223.255.2552,097,150
192119.224.0.0/11119.224.0.1 to 119.255.255.254119.255.255.2552,097,150
193120.0.0.0/11120.0.0.1 to 120.31.255.254120.31.255.2552,097,150
194120.32.0.0/11120.32.0.1 to 120.63.255.254120.63.255.2552,097,150
195120.64.0.0/11120.64.0.1 to 120.95.255.254120.95.255.2552,097,150
196120.96.0.0/11120.96.0.1 to 120.127.255.254120.127.255.2552,097,150
197120.128.0.0/11120.128.0.1 to 120.159.255.254120.159.255.2552,097,150
198120.160.0.0/11120.160.0.1 to 120.191.255.254120.191.255.2552,097,150
199120.192.0.0/11120.192.0.1 to 120.223.255.254120.223.255.2552,097,150
200120.224.0.0/11120.224.0.1 to 120.255.255.254120.255.255.2552,097,150
201121.0.0.0/11121.0.0.1 to 121.31.255.254121.31.255.2552,097,150
202121.32.0.0/11121.32.0.1 to 121.63.255.254121.63.255.2552,097,150
203121.64.0.0/11121.64.0.1 to 121.95.255.254121.95.255.2552,097,150
204121.96.0.0/11121.96.0.1 to 121.127.255.254121.127.255.2552,097,150
205121.128.0.0/11121.128.0.1 to 121.159.255.254121.159.255.2552,097,150
206121.160.0.0/11121.160.0.1 to 121.191.255.254121.191.255.2552,097,150
207121.192.0.0/11121.192.0.1 to 121.223.255.254121.223.255.2552,097,150
208121.224.0.0/11121.224.0.1 to 121.255.255.254121.255.255.2552,097,150
209122.0.0.0/11122.0.0.1 to 122.31.255.254122.31.255.2552,097,150
210122.32.0.0/11122.32.0.1 to 122.63.255.254122.63.255.2552,097,150
211122.64.0.0/11122.64.0.1 to 122.95.255.254122.95.255.2552,097,150
212122.96.0.0/11122.96.0.1 to 122.127.255.254122.127.255.2552,097,150
213122.128.0.0/11122.128.0.1 to 122.159.255.254122.159.255.2552,097,150
214122.160.0.0/11122.160.0.1 to 122.191.255.254122.191.255.2552,097,150
215122.192.0.0/11122.192.0.1 to 122.223.255.254122.223.255.2552,097,150
216122.224.0.0/11122.224.0.1 to 122.255.255.254122.255.255.2552,097,150
217123.0.0.0/11123.0.0.1 to 123.31.255.254123.31.255.2552,097,150
218123.32.0.0/11123.32.0.1 to 123.63.255.254123.63.255.2552,097,150
219123.64.0.0/11123.64.0.1 to 123.95.255.254123.95.255.2552,097,150
220123.96.0.0/11123.96.0.1 to 123.127.255.254123.127.255.2552,097,150
221123.128.0.0/11123.128.0.1 to 123.159.255.254123.159.255.2552,097,150
222123.160.0.0/11123.160.0.1 to 123.191.255.254123.191.255.2552,097,150
223123.192.0.0/11123.192.0.1 to 123.223.255.254123.223.255.2552,097,150
224123.224.0.0/11123.224.0.1 to 123.255.255.254123.255.255.2552,097,150
225124.0.0.0/11124.0.0.1 to 124.31.255.254124.31.255.2552,097,150
226124.32.0.0/11124.32.0.1 to 124.63.255.254124.63.255.2552,097,150
227124.64.0.0/11124.64.0.1 to 124.95.255.254124.95.255.2552,097,150
228124.96.0.0/11124.96.0.1 to 124.127.255.254124.127.255.2552,097,150
229124.128.0.0/11124.128.0.1 to 124.159.255.254124.159.255.2552,097,150
230124.160.0.0/11124.160.0.1 to 124.191.255.254124.191.255.2552,097,150
231124.192.0.0/11124.192.0.1 to 124.223.255.254124.223.255.2552,097,150
232124.224.0.0/11124.224.0.1 to 124.255.255.254124.255.255.2552,097,150
233125.0.0.0/11125.0.0.1 to 125.31.255.254125.31.255.2552,097,150
234125.32.0.0/11125.32.0.1 to 125.63.255.254125.63.255.2552,097,150
235125.64.0.0/11125.64.0.1 to 125.95.255.254125.95.255.2552,097,150
236125.96.0.0/11125.96.0.1 to 125.127.255.254125.127.255.2552,097,150
237125.128.0.0/11125.128.0.1 to 125.159.255.254125.159.255.2552,097,150
238125.160.0.0/11125.160.0.1 to 125.191.255.254125.191.255.2552,097,150
239125.192.0.0/11125.192.0.1 to 125.223.255.254125.223.255.2552,097,150
240125.224.0.0/11125.224.0.1 to 125.255.255.254125.255.255.2552,097,150
241126.0.0.0/11126.0.0.1 to 126.31.255.254126.31.255.2552,097,150
242126.32.0.0/11126.32.0.1 to 126.63.255.254126.63.255.2552,097,150
243126.64.0.0/11126.64.0.1 to 126.95.255.254126.95.255.2552,097,150
244126.96.0.0/11126.96.0.1 to 126.127.255.254126.127.255.2552,097,150
245126.128.0.0/11126.128.0.1 to 126.159.255.254126.159.255.2552,097,150
246126.160.0.0/11126.160.0.1 to 126.191.255.254126.191.255.2552,097,150
247126.192.0.0/11126.192.0.1 to 126.223.255.254126.223.255.2552,097,150
248126.224.0.0/11126.224.0.1 to 126.255.255.254126.255.255.2552,097,150
249127.0.0.0/11127.0.0.1 to 127.31.255.254127.31.255.2552,097,150
250127.32.0.0/11127.32.0.1 to 127.63.255.254127.63.255.2552,097,150
251127.64.0.0/11127.64.0.1 to 127.95.255.254127.95.255.2552,097,150
252127.96.0.0/11127.96.0.1 to 127.127.255.254127.127.255.2552,097,150
253127.128.0.0/11127.128.0.1 to 127.159.255.254127.159.255.2552,097,150
254127.160.0.0/11127.160.0.1 to 127.191.255.254127.191.255.2552,097,150
255127.192.0.0/11127.192.0.1 to 127.223.255.254127.223.255.2552,097,150
256127.224.0.0/11127.224.0.1 to 127.255.255.254127.255.255.2552,097,150

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses